##############################################################################
# @file  CMakeLists.txt
# @brief Build configuration of software.
#
# Copyright (c) 2012 University of Pennsylvania.
#
# This file is part of DTI-DROID.
#
# DTI-DROID is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# DTI-DROID is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DTI-DROID.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: SBIA Group <sbia-software at uphs.upenn.edu>
##############################################################################

basis_add_library (hammerutils mvcd.cxx matrixSHEN.cxx)

basis_add_executable (cropslices.cxx LIBEXEC)
basis_target_link_libraries (cropslices hammerutils)

basis_add_executable (extractventricle.cxx LIBEXEC)
basis_target_link_libraries (extractventricle hammerutils)

basis_add_executable (makeavwheader.cxx LIBEXEC)
basis_target_link_libraries (makeavwheader hammerutils)

basis_add_executable (rigidtransform.cxx LIBEXEC)
basis_target_link_libraries (rigidtransform hammerutils)

basis_add_executable (splitfile.cxx LIBEXEC)
basis_target_link_libraries (splitfile hammerutils)

basis_add_executable (transform3dimg.cxx LIBEXEC)
basis_target_link_libraries (transform3dimg hammerutils)

basis_add_executable (transform3dvectorfield.cxx LIBEXEC)
basis_target_link_libraries (transform3dvectorfield hammerutils)

basis_add_executable (fslmat2mymat.cxx LIBEXEC)
basis_target_link_libraries (fslmat2mymat hammerutils)
